Skip to content
Pre-release. HostCraft is in testing and not yet for sale. These docs describe the current build and may change. Join the waitlist to hear when it launches.

License API

Source: daemon/proto/hostcraft/v1/license.proto

LicenseService reports and changes the panel licence. REST: /api/v1/license.

Method REST route Permission Streaming
GetLicense GET /api/v1/license LicenseRead unary
InstallLicense PUT /api/v1/license LicenseInstall unary
RefreshLicense POST /api/v1/license/refresh LicenseRefresh unary

/hostcraft.v1.LicenseService/GetLicense

/hostcraft.v1.LicenseService/InstallLicense

/hostcraft.v1.LicenseService/RefreshLicense

No fields.

Field Type Number Description
token string 1 -
Field Type Number Description
name string 1 -
used int64 2 -
limit int64 3 -
unlimited bool 4 -
reached bool 5 -
over bool 6 -
Field Type Number Description
name string 1 -
label string 2 -
enabled bool 3 -
reason string 4 -
Field Type Number Description
enabled bool 1 -
last_attempt_at google.protobuf.Timestamp 2 -
last_success_at google.protobuf.Timestamp 3 -
last_error string 4 -
consecutive_failures int64 5 -
next_attempt_at google.protobuf.Timestamp 6 -
clock_skew_seconds double 7 -
Field Type Number Description
state string 1 -
licensed bool 2 -
free_reason string 3 -
tier string 4 -
licensee string 5 -
subject string 6 -
license_id string 7 -
subscription_id string 8 -
install_id string 9 -
bind_mode string 10 -
bind_matches bool 11 -
issued_at google.protobuf.Timestamp 12 -
expires_at google.protobuf.Timestamp 13 -
grace_ends_at google.protobuf.Timestamp 14 -
lapses_at google.protobuf.Timestamp 15 -
key_id string 16 -
token_sha256 string 17 -
signature_verified bool 18 -
unsigned_licensing_compiled bool 19 -
accepted_key_ids repeated string 20 -
legacy_php_allowed bool 21 -
caps repeated LicenseCap 22 -
features repeated LicenseFeature 23 -
over_cap bool 24 -
usage_error string 25 -
blocked repeated string 26 -
refresh LicenseRefreshState 27 -
revoked bool 28 -
revocation_reason string 29 -
enforcement_mode string 30 -
clock_regressed bool 31 -
computed_at google.protobuf.Timestamp 32 -
can_install bool 33 -
can_refresh bool 34 -

No fields.